package cn.com.ctop.kuaishou.modules.ai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 项目绑定的应用
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2021-05-12
 */
@Data
@TableName("ctop_kuaishou_app_package")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_kuaishou_app_package对象", description = "项目绑定的应用")
public class KuaishouAppPackage {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 项目ID
     */
    @Excel(name = "项目ID", width = 15)
    @ApiModelProperty(value = "项目ID")
    private Long projectId;
    /**
     * 应用唯一标识
     */
    @Excel(name = "应用唯一标识", width = 15)
    @ApiModelProperty(value = "应用唯一标识")
    private String appMd5;
    /**
     * 应用地址
     */
    @Excel(name = "应用地址", width = 15)
    @ApiModelProperty(value = "应用地址")
    private String url;
    /**
     * 应用标记
     */
    @Excel(name = "应用标记", width = 15)
    @ApiModelProperty(value = "应用标记")
    private String appVersion;
    /**
     * 应用名称
     */
    @Excel(name = "应用名称", width = 15)
    @ApiModelProperty(value = "应用名称")
    private String appName;
    /**
     * 应用图标链接地址
     */
    @Excel(name = "应用图标链接地址", width = 15)
    @ApiModelProperty(value = "应用图标链接地址")
    private String appIconUrl;
    /**
     * 安卓类应用必填 隐私政策链接
     */
    private String appPrivacyUrl;
    /**
     * 图片token
     */
    @Excel(name = "图片token", width = 15)
    @ApiModelProperty(value = "图片token")
    private String imageToken;
    /**
     * 应用包名
     */
    @Excel(name = "应用包名", width = 15)
    @ApiModelProperty(value = "应用包名")
    private String packageName;

    /**
     * 监测链接
     */
    private String trackUrl;
    /**
     * 应用类型 1： Android 应用下载，2： Android 网页游戏，3： iOS 应用下载， 4：iOS 网页游戏
     */
    @Excel(name = "应用类型 1： Android 应用下载，2： Android 网页游戏，3： iOS 应用下载， 4：iOS 网页游戏", width = 15)
    @ApiModelProperty(value = "应用类型 1： Android 应用下载，2： Android 网页游戏，3： iOS 应用下载， 4：iOS 网页游戏")
    private Integer platform;
    /**
     * 是否接入快手广告监测SDK	0：未接入，1：已接入
     */
    @Excel(name = "是否接入快手广告监测SDK	0：未接入，1：已接入", width = 15)
    @ApiModelProperty(value = "是否接入快手广告监测SDK	0：未接入，1：已接入")
    private Integer useSdk;
    /**
     * 0无效，1有效
     */
    private Integer dataStatus;
    /**
     * 创建时间
     */
    @Excel(name = "创建时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * 修改时间
     */
    @Excel(name = "修改时间", width = 20, format = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;
}
