package cn.com.ctop.kuaishou.modules.ai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.util.Date;

/**
 * 自动投放-定向包详情关系表
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2021-04-25
 */
@Data
@TableName("ctop_kuaishou_directional_package_rel")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_kuaishou_directional_template_rel对象", description = "自动投放-定向包详情关系表")
public class KuaishouDirectionalaPckageRel {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 本地定向模板ID
     */
    @Excel(name = "本地定向模板ID", width = 15)
    @ApiModelProperty(value = "本地定向模板ID")
    private String dirId;
    /**
     * 项目ID
     */
    @Excel(name = "项目ID", width = 15)
    @ApiModelProperty(value = "项目ID")
    private Long projectId;
    /**
     * 0无效，1有效
     */
    private Integer dataStatus;
    /**
     * 定向模板id
     */
    @Excel(name = "定向模板id", width = 15)
    @ApiModelProperty(value = "定向模板id")
    private Long templateId;
    /**
     * 人群包名
     */
    @Excel(name = "人群包名", width = 15)
    @ApiModelProperty(value = "人群包名")
    private String templateName;
    /**
     * 账户ID
     */
    @Excel(name = "账户ID", width = 15)
    @ApiModelProperty(value = "账户ID")
    private Long relId;
    /**
     * 绑定类型，account 账户，unit 组
     */
    @Excel(name = "绑定类型，account 账户，unit 组", width = 15)
    @ApiModelProperty(value = "绑定类型，account 账户，unit 组")
    private String relType;
    /**
     * 排除人群包
     */
    @Excel(name = "排除人群包", width = 15)
    @ApiModelProperty(value = "排除人群包")
    private String excludePopulation;
    /**
     * 付费人群包
     */
    @Excel(name = "付费人群包", width = 15)
    @ApiModelProperty(value = "付费人群包")
    private String paidAudience;
    /**
     * 定向人群包
     */
    @Excel(name = "定向人群包", width = 15)
    @ApiModelProperty(value = "定向人群包")
    private String population;
    /**
     * 结果说明
     */
    @Excel(name = "结果说明", width = 15)
    @ApiModelProperty(value = "结果说明")
    private String message;
    /**
     * 定向模板创建时间
     */
    @ApiModelProperty(value = "定向模板创建时间")
    private Date createTime;
    /**
     * 定向模板修改时间
     */
    @ApiModelProperty(value = "定向模板修改时间")
    private Date updateTime;
}
